Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::viewpoint_node Class Reference
[Nodes]

Inheritance diagram for openvrml::viewpoint_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for texture transform nodes.

## Public Member Functions

virtual | ~viewpoint_node ()=0 throw ()
| Destructor.
virtual const mat4f & | transformation () const =0 throw ()
| Get the transformation of the viewpoint_node in the global coordinate system.
virtual const mat4f & | user_view_transform () const =0 throw ()
| Get the transformation of the user view relative to the viewpoint_node.
virtual void | user_view_transform (const mat4f &transform)=0 throw ()
| Set the transformation of the user view relative to the viewpoint_node.
virtual const std::string & | description () const =0 throw ()
| Get the description.
virtual float | field_of_view () const =0 throw ()
| Get the field of view.

## Protected Member Functions

| viewpoint_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Constructor.

## Private Member Functions

virtual viewpoint_node * | to_viewpoint () throw ()
| Cast to a viewpoint_node.

## Constructor & Destructor Documentation

openvrml::viewpoint_node::~viewpoint_node | ( |  | ) | throw ()`[pure virtual]`

| Destructor. Implemented in openvrml::vrml97_node::viewpoint_node.

openvrml::viewpoint_node::viewpoint_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

Constructor.

Parameters:

  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.

Reimplemented in openvrml::vrml97_node::viewpoint_node.

## Member Function Documentation

const mat4f & openvrml::viewpoint_node::transformation | ( |  | ) | const throw ()`[pure virtual]`

Get the transformation of the viewpoint_node in the global coordinate system.

Returns:
  the transformation of the viewpoint_node in the global coordinate system.

Implemented in openvrml::vrml97_node::viewpoint_node.

const mat4f & openvrml::viewpoint_node::user_view_transform | ( |  | ) | const throw ()`[pure virtual]`

Get the transformation of the user view relative to the viewpoint_node.

Returns:
  the transformation of the user view relative to the viewpoint_node.

Implemented in openvrml::vrml97_node::viewpoint_node.

void openvrml::viewpoint_node::user_view_transform | ( | const mat4f & | transform | ) | throw ()`[pure virtual]`

Set the transformation of the user view relative to the viewpoint_node.

Parameters:

  | transform | the new transformation.

Implemented in openvrml::vrml97_node::viewpoint_node.

const std::string & openvrml::viewpoint_node::description | ( |  | ) | const throw ()`[pure virtual]`

Get the description.

Returns:
  the description.

Implemented in openvrml::vrml97_node::viewpoint_node.

float openvrml::viewpoint_node::field_of_view | ( |  | ) | const throw ()`[pure virtual]`

Get the field of view.

Returns:
  the field of view in radians.

Implemented in openvrml::vrml97_node::viewpoint_node.

viewpoint_node * openvrml::viewpoint_node::to_viewpoint | ( |  | ) | throw ()`[private, virtual]`

Cast to a viewpoint_node.

Returns:
  a pointer to this viewpoint_node.

Reimplemented from openvrml::node.